Transform to XML

- « XSLTProcessor::transformToUri

- GUI Extensions »

- PHP Manual
- XSLTProcessor
- Transform to XML

# XSLTProcessor::transformToXml

(PHP 5, PHP 7, PHP 8)

XSLTProcessor::transformToXml — Transform to XML

### Description

public XSLTProcessor::transformToXml(object `$document`): string|null|false

Transforms the source node to a string applying the stylesheet given by the xsltprocessor::importStylesheet() method.

### Parameters

`document`

  The DOMDocument or SimpleXMLElement object to be transformed.

### Return Values

The result of the transformation as a string or `false` on error.

### Examples

Example #1 Transforming to a string

    <?php

    // Load the XML source
    $xml = new DOMDocument;
    $xml->load('collection.xml');

    $xsl = new DOMDocument;
    $xsl->load('collection.xsl');

    // Configure the transformer
    $proc = new XSLTProcessor;
    $proc->importStyleSheet($xsl); // attach the xsl rules

    echo $proc->transformToXML($xml);

    ?>

The above example will output:

    Hey! Welcome to Nicolas Eliaszewicz's sweet CD collection!

    <h1>Fight for your mind</h1><h2>by Ben Harper - 1995</h2><hr>
    <h1>Electric Ladyland</h1><h2>by Jimi Hendrix - 1997</h2><hr>

### See Also

- XSLTProcessor::transformToDoc() - Transform to a document
- XSLTProcessor::transformToUri() - Transform to URI